Bug 1144878 (CVE-2014-3611) - CVE-2014-3611 kernel: kvm: PIT timer race condition
Summary: CVE-2014-3611 kernel: kvm: PIT timer race condition
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3611
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1144879 1144880 1149592 1149593 1152985 1156537 1172498
Blocks: 1144830
TreeView+ depends on / blocked
 
Reported: 2014-09-21 19:30 UTC by Petr Matousek
Modified: 2019-09-29 13:22 UTC (History)
28 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A race condition flaw was found in the way the Linux kernel's KVM subsystem handled PIT (Programmable Interval Timer) emulation. A guest user who has access to the PIT I/O ports could use this flaw to crash the host.
Clone Of:
Environment:
Last Closed: 2015-04-22 11:04:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1724 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-10-29 01:33:03 UTC
Red Hat Product Errata RHSA-2014:1843 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-11-11 20:34:11 UTC
Red Hat Product Errata RHSA-2015:0126 normal SHIPPED_LIVE Critical: rhev-hypervisor6 security update 2015-02-04 22:52:31 UTC
Red Hat Product Errata RHSA-2015:0284 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-03-03 17:49:58 UTC
Red Hat Product Errata RHSA-2015:0869 normal SHIPPED_LIVE Important: kvm security update 2015-04-22 14:09:46 UTC

Description Petr Matousek 2014-09-21 19:30:28 UTC
There's a race condition in the PIT emulation code in KVM.  In
__kvm_migrate_pit_timer the pit_timer object is accessed without
synchronization.

A local guest user with access to the PIT i/o ports could use this flaw to
crash the host.

Acknowledgements:

Red Hat would like to thank Lars Bull of Google for reporting this issue.

Comment 5 Petr Matousek 2014-10-15 10:35:25 UTC
Statement:

This issue does affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 6 and 7. This issue does affect the kvm packages as shipped with Red Hat Enterprise Linux 5. Future updates may address this issue in the
respective Red Hat Enterprise Linux releases.

Comment 7 Petr Matousek 2014-10-24 16:02:36 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1156537]

Comment 8 Fedora Update System 2014-10-28 06:44:41 UTC
kernel-3.16.6-203.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 errata-xmlrpc 2014-10-28 21:34:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1724 https://rhn.redhat.com/errata/RHSA-2014-1724.html

Comment 10 Martin Prpič 2014-10-29 12:38:08 UTC
IssueDescription:

A race condition flaw was found in the way the Linux kernel's KVM subsystem handled PIT (Programmable Interval Timer) emulation. A guest user who has access to the PIT I/O ports could use this flaw to crash the host.

Comment 11 Fedora Update System 2014-11-03 05:22:50 UTC
kernel-3.17.2-300.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 errata-xmlrpc 2014-11-11 15:34:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1843 https://rhn.redhat.com/errata/RHSA-2014-1843.html

Comment 13 Fedora Update System 2014-11-16 14:46:22 UTC
kernel-3.14.23-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 errata-xmlrpc 2015-02-04 17:52:59 UTC
This issue has been addressed in the following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2015:0126 https://rhn.redhat.com/errata/RHSA-2015-0126.html

Comment 20 errata-xmlrpc 2015-03-03 12:50:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 EUS - Server and Compute Node Only

Via RHSA-2015:0284 https://rhn.redhat.com/errata/RHSA-2015-0284.html

Comment 22 errata-xmlrpc 2015-04-22 10:10:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2015:0869 https://rhn.redhat.com/errata/RHSA-2015-0869.html


Note You need to log in before you can comment on or make changes to this bug.